apiVersion: batch/v1
kind: Job
metadata:
  labels:
    k8s-app: connector-deployment
    connector-name: {{ .Env.CONNECTOR_NAME }}
  name: connector-deployment-{{ .Env.CONNECTOR_NAME | strings.Slug | strings.Trunc 40 }}
  namespace: {{ env.Getenv "NAMESPACE" "default" }}
spec:
  template:
    metadata:
      labels:
        k8s-app: connector-deployment
    spec:
      containers:
        - name: topic-deployment
          image: {{ .Env.IMAGE_REPOSITORY }}@{{ .Env.IMAGE_DIGEST }}
          imagePullPolicy: {{ .Env.IMAGE_PULL_POLICY }}
          env:
            - name: CONNECT_URL
              value: '{{ .Env.CONNECT_URL }}'
            - name: CONNECTOR_NAME
              value: '{{ .Env.CONNECTOR_NAME }}'
            - name: CONNECTOR_CONFIG
              value: '{{ env.Getenv "CONNECTOR_CONFIG_JSON" "{}" }}'
      restartPolicy: Never
{{- if ne (env.Getenv "IMAGE_PULL_SECRET" "") "" }}
      imagePullSecrets:
        - name: {{ .Env.IMAGE_PULL_SECRET }}
{{- end }}
  backoffLimit: 0
